summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xBFS/baselines/cpu/run.sh1
-rwxr-xr-xBFS/run-paper-strong-full.sh6
-rwxr-xr-xBFS/run-paper-strong-rank.sh6
3 files changed, 7 insertions, 6 deletions
diff --git a/BFS/baselines/cpu/run.sh b/BFS/baselines/cpu/run.sh
index d0e0400..9d2dce6 100755
--- a/BFS/baselines/cpu/run.sh
+++ b/BFS/baselines/cpu/run.sh
@@ -22,6 +22,7 @@ make -B verbose=1
for nr_threads in 88 64 44 1 2 4 6 8 12 16 20 24 32; do
for f in loc-gowalla_edges; do # roadNet-CA; do
OMP_NUM_THREADS=${nr_threads} timeout --foreground -k 1m 30m ./bfs -f ../../data/${f}.txt || true
+ sleep 10
done
done
) | tee "${HOST}-explore.txt"
diff --git a/BFS/run-paper-strong-full.sh b/BFS/run-paper-strong-full.sh
index e00a4d5..42806a2 100755
--- a/BFS/run-paper-strong-full.sh
+++ b/BFS/run-paper-strong-full.sh
@@ -8,14 +8,14 @@ echo "prim-benchmarks BFS strong-full (dfatool edition)"
echo "Started at $(date)"
echo "Revision $(git describe --always)"
-# 2544 are not part of upstream
-for nr_dpus in 2544 256 512 1024 2048; do
+# >2048 are not part of upstream
+for nr_dpus in 2543 2304 256 512 1024 2048; do
for nr_tasklets in 1 2 4 8 16; do
echo
if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} verbose=1; then
# repetition is not part of upstream setup
for i in `seq 1 50`; do
- timeout --foreground -k 1m 3m bin/host_code -f data/loc-gowalla_edges.txt || true
+ timeout --foreground -k 1m 5m bin/host_code -f data/loc-gowalla_edges.txt || true
done
fi
done
diff --git a/BFS/run-paper-strong-rank.sh b/BFS/run-paper-strong-rank.sh
index bd6d460..e33e0c0 100755
--- a/BFS/run-paper-strong-rank.sh
+++ b/BFS/run-paper-strong-rank.sh
@@ -8,14 +8,14 @@ echo "prim-benchmarks BFS strong-rank (dfatool edition)"
echo "Started at $(date)"
echo "Revision $(git describe --always)"
-# >= 256 are not part of upstream
-for nr_dpus in 256 512 1 4 16 64; do
+# >64 are not part of upstream
+for nr_dpus in 512 256 128 1 4 16 64; do
for nr_tasklets in 1 2 4 8 16; do
echo
if make -B NR_DPUS=${nr_dpus} NR_TASKLETS=${nr_tasklets} verbose=1; then
# repetition is not part of upstream setup
for i in `seq 1 50`; do
- timeout --foreground -k 1m 3m bin/host_code -f data/loc-gowalla_edges.txt || true
+ timeout --foreground -k 1m 5m bin/host_code -f data/loc-gowalla_edges.txt || true
done
fi
done